osgSim::GeographicLocation Class Reference

`#include <GeographicLocation>`

Inheritance diagram for osgSim::GeographicLocation:

## Public Member Functions

| GeographicLocation ()
| GeographicLocation (double lat, double lon)
bool | operator== (const GeographicLocation &v) const
bool | operator!= (const GeographicLocation &v) const
bool | operator< (const GeographicLocation &v) const
double * | ptr ()
const double * | ptr () const
void | set (double lat, double lon)
double & | latitude ()
double & | longitude ()
double | latitude () const
double | longitude () const
bool | valid () const
bool | isNaN () const
const GeographicLocation | operator+ (const GeographicLocation &rhs) const
| binary vector add
const GeographicLocation | operator- (const GeographicLocation &rhs) const
| binary vector subtract
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Friends

std::ostream & | operator<< (std::ostream &output, const GeographicLocation &loc)

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Stores a double precision geographic location, latitude and longitude. Derived from Referenced so it can be used as an osg::Object userData.

## Constructor & Destructor Documentation

## GeographicLocation() [1/2]

osgSim::GeographicLocation::GeographicLocation | ( |  | ) |

inline

Referenced by operator!=(), operator+(), operator-(), operator<(), operator<<, and operator==().

## GeographicLocation() [2/2]

osgSim::GeographicLocation::GeographicLocation | ( | double | lat,
|  | double | lon )

inline

## Member Function Documentation

## isNaN()

bool osgSim::GeographicLocation::isNaN | ( |  | ) | const

inline

References osg::isNaN().

Referenced by valid().

## latitude() [1/2]

double & osgSim::GeographicLocation::latitude | ( |  | ) |

inline

## latitude() [2/2]

double osgSim::GeographicLocation::latitude | ( |  | ) | const

inline

## longitude() [1/2]

double & osgSim::GeographicLocation::longitude | ( |  | ) |

inline

## longitude() [2/2]

double osgSim::GeographicLocation::longitude | ( |  | ) | const

inline

## operator!=()

bool osgSim::GeographicLocation::operator!= | ( | const GeographicLocation & | v | ) | const

inline

References GeographicLocation().

## operator+()

const GeographicLocation osgSim::GeographicLocation::operator+ | ( | const GeographicLocation & | rhs | ) | const

inline

binary vector add

References GeographicLocation().

## operator-()

const GeographicLocation osgSim::GeographicLocation::operator- | ( | const GeographicLocation & | rhs | ) | const

inline

binary vector subtract

References GeographicLocation().

## operator<()

bool osgSim::GeographicLocation::operator< | ( | const GeographicLocation & | v | ) | const

inline

References GeographicLocation().

## operator==()

bool osgSim::GeographicLocation::operator== | ( | const GeographicLocation & | v | ) | const

inline

References GeographicLocation().

## ptr() [1/2]

double * osgSim::GeographicLocation::ptr | ( |  | ) |

inline

## ptr() [2/2]

const double * osgSim::GeographicLocation::ptr | ( |  | ) | const

inline

## set()

void osgSim::GeographicLocation::set | ( | double | lat,
|  | double | lon )

inline

## valid()

bool osgSim::GeographicLocation::valid | ( |  | ) | const

inline

References isNaN().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | output,
|  | const GeographicLocation & | loc )

friend

References GeographicLocation().

The documentation for this class was generated from the following file:

- GeographicLocation